com.ibm.openpages.api.process

## Interface IProcessLog

-     public interface IProcessLog

  Represents elements of a long running process log.
  Since:
    7.4.0.0
  Category:
    Process

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getEndTime()` Returns the end time of the process log.
    `Id` | `getErrorMessageId()` Returns the id of the error code of the process log.
    `Id` | `getProcessId()` Returns the id of the process.
    `Id` | `getProcessLogId()` Returns the id of the process log.
    `java.util.Date` | `getStartTime()` Returns the start time of the process log.
    `ProcessStatus` | `getStatus()` Returns the status of the process log.
    `java.lang.String` | `getStatusMessage()` Returns the message of the process log.
    `java.util.List<java.lang.String>` | `getStatusTranslationParams()` Returns the parameters of the message of the process log.
    `Id` | `getStatusTranslationStringId()` Returns the id of the message of the process log.

- - ### Method Detail

    - #### getProcessLogId

          Id getProcessLogId()

      Returns the id of the process log.
      Returns:
        the id of the process log

    - #### getProcessId

          Id getProcessId()

      Returns the id of the process.
      Returns:
        the id of the process

    - #### getStatus

          ProcessStatus getStatus()

      Returns the status of the process log.
      Returns:
        the status of the process log

    - #### getStatusMessage

          java.lang.String getStatusMessage()

      Returns the message of the process log.
      Returns:
        the message of the process log

    - #### getStartTime

          java.util.Date getStartTime()

      Returns the start time of the process log.
      Returns:
        the start time of the process log

    - #### getEndTime

          java.util.Date getEndTime()

      Returns the end time of the process log.
      Returns:
        the end time of the process log

    - #### getErrorMessageId

          Id getErrorMessageId()

      Returns the id of the error code of the process log.
      Returns:
        the id of the error code of the process log

    - #### getStatusTranslationParams

          java.util.List<java.lang.String> getStatusTranslationParams()

      Returns the parameters of the message of the process log.
      Returns:
        the parameters of the message of the process log

    - #### getStatusTranslationStringId

          Id getStatusTranslationStringId()

      Returns the id of the message of the process log.
      Returns:
        the id of the message of the process log

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.